#include <stdio.h>
#include <stdlib.h>

#include "mempsode.h"

int main(int argc, char **argv)
{
	int i, id;
	double val, point[1000];
	int algo, dim, ss, maxf, dump, mem, seed;
	double xmin[20] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
	double xmax[20] = {1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.};



	init_mempsode();
	set_mempsode_iparam("algorithm", 1);
	set_mempsode_iparam("dimension", 35);
	set_mempsode_iparam("swarm-size", 20);
	set_mempsode_iparam("max-fun-evals", 1000);
	set_mempsode_iparam("dump-iterations", 5);
	set_mempsode_iparam("memetic", 2);
	set_mempsode_iparam("seed", -1);
	set_mempsode_iparam("XEPS", 0.01);
	set_mempsode_iparam("FEPS", 0.01);

	mempsode();

	get_mempsode_min("minval", &val);
	get_mempsode_min("minx", point);
    	printf("-->%f \n", val);
	for (i=0; i<prob.dim; i++)
		printf("%i) %f\n", i, point[i]);



}
