#ifndef BENCHMARK_H
#define BENCHMARK_H

#include <math.h>
#include "data.h"




double Shifted_Sphere( int dim , double* x );
double Schwefel_Problem( int dim , double* x );
double Shifted_Rosenbrock( int dim , double* x );
double Shifted_Rastrigin( int dim , double* x );
double Shifted_Griewank( int dim , double* x );
double Shifted_Ackley( int dim , double* x );
double Shifted_Weierstrass( int dim , double* x );
void func(int func_number , int dim , double* x, double *fx);


#endif
//extern "C" {
 extern struct{
     int ipro;
}funcid_;
//}

extern void copy_vector (int size, double X[], double Y[]);
extern double norms (int dim, double X[], int WhichNorm);
//extern  void func(int func_number , int dim , double* x, double *fx, double *dist);
void Objective_F (double X[], int N, double *F);

static double pi;
static double e;

